#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt
Summary:	New versions of Math::BigInt and Math::BigFloat Perl modules
Summary(pl.UTF-8):	Nowe wersje modułów Perla Math::BigInt i Math::BigFloat
Name:		perl-Math-BigInt
Version:	1.999802
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	07bfbbabe6eb1a161c0bbbbd73242b20
URL:		http://search.cpan.org/dist/Math-BigInt/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Math-Complex >= 1.39
BuildRequires:	perl-Test-Simple >= 0.94
%endif
# special case: if current perl-modules contain older releases, uncomment Requires and comment Conflicts below
#Requires:	perl-Math-BigInt-FastCalc >= 0.27
#Requires:	perl-Math-BigRat >= 0.2602
#Requires:	perl-bignum >= 0.22
Conflicts:	perl-Math-BigInt-FastCalc < 0.27
Conflicts:	perl-Math-BigInt-GMP < 1.37
Conflicts:	perl-Math-BigInt-Pari < 1.16
Conflicts:	perl-Math-BigRat < 0.2602
Conflicts:	perl-bignum < 0.22
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
New versions of Math::BigInt and Math::BigFloat.

%description -l pl.UTF-8
Nowe wersje modułów Math::BigInt i Math::BigFloat.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test INST_ARCHLIB=t}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BENCHMARK BUGS CHANGES CREDITS GOALS HISTORY LICENSE NEW README TODO
%{perl_vendorlib}/Math/BigFloat.pm
%{perl_vendorlib}/Math/BigInt.pm
%{perl_vendorlib}/Math/BigInt/Calc.pm
%{perl_vendorlib}/Math/BigInt/CalcEmu.pm
%{perl_vendorlib}/Math/BigInt/Lib.pm
%{_mandir}/man3/Math::BigFloat.3pm*
%{_mandir}/man3/Math::BigInt.3pm*
%{_mandir}/man3/Math::BigInt::Calc.3pm*
%{_mandir}/man3/Math::BigInt::CalcEmu.3pm*
%{_mandir}/man3/Math::BigInt::Lib.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*.txt
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%changelog
* Sat Dec 03 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-BigInt.git;a=log;h=master

* Wed Nov 30 2016 Jakub Bogusz <qboosh@pld-linux.org> a043ef3
- updated to 1.999802

* Wed Nov 02 2016 Jan Rękorajski <baggins@pld-linux.org> 3575f09
- up to 1..999726

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> f0f963e
- up to 1.999713

* Wed Jun 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 50e78a7
- up to 1.997

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> e799684
- updated to 1.89

* Tue Feb 19 2008 Maciej Pijanka <agaran@pld-linux.org> a010684
- up to 1.87, rel 1

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 7e2aed8
- Math::BigInt upgrade requires upgrade of some modules depending on it

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> a2b1e43
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 105eda9
- up to 1.86, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7c7429f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ab42a19
- converted to UTF-8

* Mon May 30 2005 petec <petec@pld-linux.org> 28f9542
- up to 1.77

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 93d76f9
- updated to 1.74

* Wed Dec 01 2004 radek <radek@pld-linux.org> 1aae42c
- autoupdated to 1.73

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7fa31a8
- formatting

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 4df9a60
- updated to 1.72

* Fri May 07 2004 ankry <ankry@pld-linux.org> 396bea5
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> aaad56b
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 0fcdee9
- license fixes, unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> f8845e0
- ported to new bconds

